﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Input;

namespace TileViewControl
{
    public class TileItem : NotificationObject
    {
        public string Header { get; set; }

        public ICommand Maximize { get; set; }

       public TileItem()
        {
            Maximize = new command(execute);
        }

        public void execute(object obj)
        {
            State = TileViewItemState.Maximized;
        }

        private TileViewItemState state;

        public TileViewItemState State
        {
            get { return state; }
            set
            {
                state = value;
                this.RaisePropertyChanged(nameof(State));
            }
        }


    }

        public class ViewModel : NotificationObject
    {
        private ObservableCollection<TileItem> tileViewItems;
        public ObservableCollection<TileItem> TileViewItems
        {
            get { return tileViewItems; }
            set
            {
                tileViewItems = value;
                this.RaisePropertyChanged(nameof(TileViewItems));
            }
        }

        public ViewModel()
        {
            tileViewItems = new ObservableCollection<TileItem>();
            PopulateCollection();
        }

        public void PopulateCollection()
        {
            //Adding the tileview items into the collection
            TileViewItems.Add(new TileItem() { Header = "Item 1"  }) ;
            TileViewItems.Add(new TileItem() { Header = "Item 2"   });
            TileViewItems.Add(new TileItem() { Header = "Item 3" });
            TileViewItems.Add(new TileItem() { Header = "Item 4" });
        }
    }
}
